Bug 117230 - Make multimedia/xmms respect WITHOUT_GETTEXT/WITHOUT_NLS option
Summary: Make multimedia/xmms respect WITHOUT_GETTEXT/WITHOUT_NLS option
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Beech Rintoul
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2007-10-16 06:20 UTC by Oleg Pudeyev
Modified: 2008-01-31 05:30 UTC (History)
0 users

See Also:


Attachments
file.diff (745 bytes, patch)
2007-10-16 06:20 UTC, Oleg Pudeyev
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Oleg Pudeyev 2007-10-16 06:20:00 UTC
Attached patch makes multimedia/xmms port respect WITHOUT_GETTEXT and WITHOUT_NLS options (which have the same effect). I copied the code dealing with them from databases/postgresql82-server port.

After applying this patch and enabling WITHOUT_NLS, I can successfully build audio/xmmsctrl. From what I can gather multimedia/xmms port links xmms, but not libxmms.so, with libintl.so, when libxmms.so uses gettext. Thus, any other ports that attempt to link with libxmms.so but not with libintl.so get unresolved symbol errors. My autotools-fu is not strong enough to fix this properly in xmms source; instead, removing gettext support from xmms altogether is, for me, a viable alternative.

Fix: Patch attached with submission follows:
Comment 1 Edwin Groothuis freebsd_committer 2007-10-16 06:20:08 UTC
Responsible Changed
From-To: freebsd-ports-bugs->itetcu

itetcu@ wants his PRs (via the GNATS Auto Assign Tool)
Comment 2 Edwin Groothuis freebsd_committer 2007-10-16 06:20:11 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 3 Mark Linimon freebsd_committer freebsd_triage 2008-01-24 08:09:46 UTC
Responsible Changed
From-To: itetcu->freebsd-ports-bugs

With bugmeister hat on, reset itetcu's ownership of this one, since he has 
been inactive for some time. 

It also looks like this one is eligible for maintainer-timeout.
Comment 4 Beech Rintoul freebsd_committer 2008-01-31 02:42:59 UTC
Responsible Changed
From-To: freebsd-ports-bugs->beech

I'll take it
Comment 5 dfilter service freebsd_committer 2008-01-31 05:23:51 UTC
beech       2008-01-31 05:23:43 UTC

  FreeBSD ports repository

  Modified files:
    multimedia/xmms      Makefile pkg-plist 
  Log:
  - Respect without_nls
  
  PR:             ports/117230
  Submitted by:   Oleg Pudeyev <oleg.pudeyev@gmail.com>
  Approved by:    maintainer timeout (2 weeks)
  
  Revision  Changes    Path
  1.93      +9 -2      ports/multimedia/xmms/Makefile
  1.27      +61 -61    ports/multimedia/xmms/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 6 Beech Rintoul freebsd_committer 2008-01-31 05:24:38 UTC
State Changed
From-To: feedback->closed

Committed (maintainer timeout), Thanks!